# Copyright 1999-2005 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

inherit eutils

DESCRIPTION="orxonox is an open-source vertical scroller game programmed in C++, OpenGL, OpenAL and SDL"
HOMEPAGE="http://www.orxonox.ethz.ch"
SRC_URI="http://www.orxonox.ethz.ch/files/snapshots/${P}-${PR}.tar.bz2
         http://www.orxonox.ethz.ch/files/snapshots/data-r65.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="x86"
IUSE="gtk+-2"

DEPEND="virtual/opengl
        virtual/x11
        media-libs/openal
        media-libs/libsdl
        media-libs/sdl-image
        media-libs/sdl-ttf"

# Run-time dependencies, same as DEPEND if RDEPEND isn't defined:
#RDEPEND=""
S=${WORKDIR}/${P}

src_compile() {
	econf || die "econf failed"

	#./configure \
	#	--host=${CHOST} \
	#	--prefix=/usr \
	#	--infodir=/usr/share/info \
	#	--mandir=/usr/share/man || die "./configure failed"

	emake || die "emake failed"
}

src_install() {
	make DESTDIR=${D} install || die

	#make \
	#	prefix=${D}/usr \
	#	mandir=${D}/usr/share/man \
	#	infodir=${D}/usr/share/info \
	#	libdir=${D}/usr/$(get_libdir) \
	#	install || die

	#einstall || die
}
